В xine-lib 1.1.16 исправлено 8 проблем безопасности

08.01.2009 21:12

Вышла новая версия популярной библиотеки для проигрывания видео и аудио файлов - xine-lib 1.1.16, в которой исправлено 8 уязвимостей разного характера, среди которых возможность переполнения буфера в Quicktime парсере, множественные целочисленные переполнения, отсутствие проверок входных параметров для различных функций, переполнение буфера в нескольких декодерах, заимствованных из ffmpeg.

Из улучшений можно отметить синхронизацию кода с последним снапшотом проекта ffmpeg, улучшение поддержки Flash video и MMS.